require 'jafry/version'
require 'jafry/builder'
require 'jafry/accessor'

# Main Jafry module
module Jafry
  # @attr [String] schemes_path Path to Jafry schemes
  # @attr [String] id_wrapper Defines what symbols will be used for scheme's id
  # @attr [String] id_type Defines type of scheme's id
  # @option id_type [String] 'number' Usually decimial number
  # @option id_type [String] 'hash' 32-digit unique hash
  extend Builder
  extend Accessor

  mattrs :schemes_path, :id_wrapper, :id_type

  @@id_wrapper = 'id'
  @@id_type = 'number'

  def self.setup
    yield self
  end
end
