require 'hashie'
require 'jafry/identificator'
require 'jafry/utilator'


module Jafry
  # Class for parsing json scheme

  class Scheme < Hashie::Mash
    include Utilator

    attr_accessor :self_name

    # Return json from scheme
    #
    # @return [String] JSON from scheme

    def build
      encode_json self
    end

    # Updates scheme with specified options
    #
    # @param options [Hash] Options to update
    # @return [Scheme] Updated scheme

    def update(options)
      options.each do |attr, value|
        self[attr] = value if self[attr]
      end
      self
    end
  end
end
